/*
**********************************************************************************************************************
*											        eGon
*						           the Embedded GO-ON Bootloader System
*									       eGON arm boot sub-system
*
*						  Copyright(C), 2006-2010, SoftWinners Microelectronic Co., Ltd.
*                                           All Rights Reserved
*
* File    : sw_key.c
*
* By      : Jerry
*
* Version : V2.00
*
* Date	  :
*
* Descript:
**********************************************************************************************************************
*/
#include  "include.h"

/*
************************************************************************************************************
*
*                                             function
*
*    ƣ
*
*    б
*
*    ֵ  
*
*    ˵    
*
*
************************************************************************************************************
*/
__s32 eGon2_key_init(void)
{
	__u32  reg_val;

	/* control register */
	reg_val  = KEYC_REG_CTRL;
	reg_val &= ~((7<<1) | (0xffU << 24));
	reg_val |=  (0x01 << 6);
	reg_val |=  (0x01 << 0);
	KEYC_REG_CTRL = reg_val;
	//clear pending
	KEYC_REG_INT     = 0;
	KEYC_REG_INT_STATUS |= 0x1f1f;

    return 0;
}
/*
************************************************************************************************************
*
*                                             function
*
*    ƣ
*
*    б
*
*    ֵ  
*
*    ˵    
*
*
************************************************************************************************************
*/
__s32 eGon2_key_exit(void)
{
    KEYC_REG_CTRL = 0;
	KEYC_REG_INT_STATUS |= 0x1f1f;

    return 0;
}


